##### io_context::strand::post (2 of 2 overloads)

(Deprecated: Use `post`.) Request the strand to invoke the given handler and return immediately.

    template<
        typename LegacyCompletionHandler>
    DEDUCED post(
        LegacyCompletionHandler && handler);

This function is used to ask the strand to execute the given handler, but without allowing the strand to call the handler from inside this function.

The strand object guarantees that handlers posted or dispatched through the strand will not be executed concurrently. The strand's guarantee is in addition to the guarantee provided by the underlying `io_context`. The `io_context` guarantees that the handler will only be called in a thread in which the io_context's run member function is currently being invoked.

###### Parameters

handler

  The handler to be called. The strand will make a copy of the handler object as required. The function signature of the handler must be:

      void handler();